Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.iapi
Interface Scheduler

All Known Implementing Classes:
  MockScheduler, SimpleScheduler

    public interface Scheduler

The BPEL scheduler.

Nested Class Summary
`static class` | `Scheduler.JobInfo` Wrapper containing information about a scheduled job.
`static interface` | `Scheduler.JobProcessor` Interface implemented by the object responsible for job execution.
`static class` | `Scheduler.JobProcessorException` Exception thrown by the `Scheduler.JobProcessor` to indicate failure in job processing.

Method Summary
`void` | `cancelJob(java.lang.String jobId)` Make a good effort to cancel the job.
`void` | `jobCompleted(java.lang.String jobId)`
`java.lang.String` | `schedulePersistedJob(java.util.Map<java.lang.String,java.lang.Object> jobDetail, java.util.Date when)` Schedule a persisted job.
`void` | `setJobProcessor(Scheduler.JobProcessor processor)`
`void` | `shutdown()`
`void` | `start()`
`void` | `stop()`

Method Detail

### setJobProcessor

    void setJobProcessor(Scheduler.JobProcessor processor)
                         throws ContextException

  Throws:
    `ContextException`

### schedulePersistedJob

    java.lang.String schedulePersistedJob(java.util.Map<java.lang.String,java.lang.Object> jobDetail,
                                          java.util.Date when)
                                          throws ContextException

  Schedule a persisted job. Persisted jobs MUST survive system failure. They also must not be scheduled unless the transaction associated with the calling thread commits.

  Parameters:
    `jobDetail` - information about the job
    `when` - when the job should run (`null` means now)
  Returns:
    unique job identifier
  Throws:
    `ContextException`

### jobCompleted

    void jobCompleted(java.lang.String jobId)

### cancelJob

    void cancelJob(java.lang.String jobId)
                   throws ContextException

  Make a good effort to cancel the job. If its already running no big deal.

  Parameters:
    `jobId` - job identifier of the job
  Throws:
    `ContextException`

### start

    void start()

### stop

    void stop()

### shutdown

    void shutdown()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD